// 离线包配置文件，定义离线包配置信息
this.map = {
	// 模块名称。可以通过模块名称在日志文件中方便查找信息，或者使用-p参数+模块名称，让构建工具只打包指定的离线包。
	// 模块的值可以是一个数组，数组中每个成员都是一个字符串类型的URL地址，用于指定离线包下载的文件地址。
	"module.name1" : [
		"http://www.nodejs.org/node.js"
	],
	// 模块的值也可以是一个object对象，其中包括三个属性。
	"module.name2" : {
        // 布尔类型，可选参数，默认值为true。
        // analyzeStyles设置为true以后，构建工具在下载当前模块中的css文件时，会自动尝试分析文件中引用的资源并一起下载打包。
        analyzeStyles: true,
        // object类型，可选参数。
        // replacements指定以后，可以以key-value的形式指定下载时需要替换的文本信息。
        // 如本sample中，构建工具在下载完成http://www.nodejs.org/node.js以后，会在文件内全局搜索包含有“alert("hello world!");”内容的字符串，并替换为“alert("hello tencent!");”。
		replacements: {
			"http://www.nodejs.org/node.js": [
				{
					original: 'alert("hello world!");',
					replacement: 'alert("hello tencent!");'
				}
			]
		},
        // files的值是一个数组，数组中每个成员都是一个字符串类型的URL地址，用于指定离线包下载的文件地址。
		files:[
			"http://www.nodejs.org/node.js"
		]
	}
};